Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.parseTreeConstruction
Class AParParsetreeConstructor.IntValue_ValueAssignment

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
          org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken
              org.eclipse.amp.amf.parameters.parseTreeConstruction.AParParsetreeConstructor.IntValue_ValueAssignment

Enclosing class:
  AParParsetreeConstructor

    protected class AParParsetreeConstructor.IntValue_ValueAssignment

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken

begin Rule IntValue **************** IntValue: value=INTEGER;

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken
`consumed, element, type, value`

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`eObjectConsumer, lastRuleCallOrigin, next, node, tokensForSemanticChildren, transitionIndex`

Constructor Summary
`AParParsetreeConstructor.IntValue_ValueAssignment(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next, int transitionIndex, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)`

Method Summary
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `createFollower(int index, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`
`org.eclipse.xtext.Assignment` | `getGrammarElement()`
`org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer` | `tryConsume()`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken
`equalsOrReplacesNode, getAssignmentElement, getType, getValue, serializeInternal`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`checkForRecursion, createFollowerAfterReturn, dumpTokens, getEObject, getEObjectConsumer, getLastRuleCallOrigin, getNext, getNode, getTokensForSemanticChildren, getTransitionIndex, serialize, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParParsetreeConstructor.IntValue_ValueAssignment

    public AParParsetreeConstructor.IntValue_ValueAssignment(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin,
                                                             org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next,
                                                             int transitionIndex,
                                                             org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)

Method Detail

### getGrammarElement

    public org.eclipse.xtext.Assignment getGrammarElement()

  Specified by:
    `getGrammarElement` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### createFollower

    public org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken createFollower(int index,
                                                                                                               org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Overrides:
    `createFollower` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### tryConsume

    public org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer tryConsume()

  Overrides:
    `tryConsume` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD